/*=============================================================================
vitalnix/accdb - User Management Suite - Unified Account Database
backends/dummy.cpp - Dummy back-end module
  Copyright (C) Jan Engelhardt <jengelh [at] linux01 gwdg de>, 2002 - 2003
  -- License restrictions apply (Dual FAL/GPL2).
  -- For details see doc/FAL.txt and doc/GPL2.txt.
=============================================================================*/
#include <stdio.h>
#include <accdb.h>
#include <accdb_int.h>

class DState {
  public:
    DState(void);
    ~DState(void);
};

MODULE_NAME("Dummy module");
MODULE_DESC("Does absolutely nothing");
MODULE_INFO(
 "Jan Engelhardt <jengelh [at] linux01 gwdg de>, 2003\n"
 "This module is in C++. Nice, eh?\n"
);

//-----------------------------------------------------------------------------
int q_open(void **state) {
    DState *sp = new DState();
    *state = sp;
    return 1;
}

int q_usertrav(void *state, struct accdb_user *u) {
    return 0;
}

int q_userinfo(void *state, struct accdb_user *rq, struct accdb_user *dest,
 size_t s) {
    return 0;
}

int q_useradd(void *state, struct accdb_user *u) {
    return 1;
}

int q_usermod(void *state, struct accdb_user *sm, struct accdb_user *mm) {
    return 1;
}

int q_userdel(void *state, struct accdb_user *u) {
    return 1;
}

//-----------------------------------------------------------------------------
int q_grouptrav(void *state, struct accdb_group *g) {
    return 0;
}

int q_groupinfo(void *state, struct accdb_group *rq, struct accdb_group *dest,
 size_t s) {
    return 0;
}

int q_groupadd(void *state, struct accdb_group *g) {
    return 1;
}

int q_groupmod(void *state, struct accdb_group *sm, struct accdb_group *mm) {
    return 1;
}

int q_groupdel(void *state, struct accdb_group *g) {
    return 1;
}

//-----------------------------------------------------------------------------
int q_close(void *state) {
    DState *sp = (DState *)state;
    delete sp;
    return 1;
}

int p_sysctl(unsigned int req, ...) {
    return 0;
}

//-----------------------------------------------------------------------------
DState::DState(void) {
    fprintf(stderr, "Allocated a new DState object (this=%p)\n", this);
    return;
}

DState::~DState(void) {
    fprintf(stderr, "Destroyed a DState object (this=%p)\n", this);
    return;
}

//==[ End of file ]============================================================
