/*=============================================================================
vitalnix/dxt - User Management UI
global.h - Global header file
  Copyright (C) Jan Engelhardt <jengelh [at] linux01 gwdg de>, 2002 - 2003
  -- License restrictions apply (Dual FAL/GPL2).
  -- For details see doc/FAL.txt and doc/GPL2.txt.
=============================================================================*/
#ifndef _DAXTRAQ_GLOBAL_H
#define _DAXTRAQ_GLOBAL_H 1

#define MAXFNLEN 1024 /* max length for filename buffer */
#define MAXLNLEN 1024 /* max length for line buffer */
#define mm_sysctl(func, args...) if((func) != NULL) { (func)(args); }

typedef unsigned char byte;

enum {
  P_ERR = 1 << 15,
};

//-----------------------------------------------------------------------------
//extern struct HXtxd_dev_status _textcon;

extern struct optmap_t {
  char *progn, *progv, *progd, *progf, // program names, version, date
   *f_lock, *f_skeld,       // path to lockfile and skeleton dir (if any)
   *p_pager, *pa_pager,     // path and args to favorite pager
   *ml_lang;                // multi-language: which one
  struct HXhash *ml_data;   // multi-language: translation catalog
  unsigned short n_disp;    // display type
  byte b_quellskel;
  int graphical;
} Optmap;

//-----------------------------------------------------------------------------
#ifdef __cplusplus
extern "C" {
#endif

// dx_data.c
extern char *date_scramble(char *);
extern char *date_unscramble(char *, char *, size_t, char);
extern char *fixup_login_name(char *, unsigned int, char *, size_t);
extern char *make_login_name(char *, char *);
extern int only_digits(char *);

// dx_init.c
extern void exit_pg(signed int, char *, ...);
extern int iabs(signed int);
extern void init_applock(void);
extern int load_config(char *);
extern int parse_options(int *, const char ***);

// dx_mm.c
extern struct ds_module *mm_input;
extern void mm_register_ds(void);
extern void mm_unregister_ds(void);

// dx_ptui.c
extern void Mainmenu_TX(void);

#ifdef __cplusplus
} // extern "C"
#endif

#endif /* _DAXTRAQ_GLOBAL_H */

//==[ End of file ]============================================================
